## Full example

    <?php

    /** @var \DateTime[] An array of DateTime objects. */
    /** @var string[] An array of string objects. */
    /** @var callable[] An array of with callable functions or methods. */

    /** @var \ArrayObject|\DateTime[] */
    $dates = array()

    /**
     * @param bool|\DateTime $foo the first argument
     * @return string|null
     */
    function bar($foo) { ... }